package com.xingxi.business.SuggestProd.mapper;

import com.xingxi.business.SuggestProd.domain.SuggestProd;

import java.util.List;

/**
 * 推荐商品Mapper接口
 *
 * @author xingxi
 * @date 2025-03-06
 */
public interface SuggestProdMapper {
    /**
     * 查询推荐商品
     *
     * @param id 推荐商品主键
     * @return 推荐商品
     */
    SuggestProd selectSuggestProdById(Long id);

    /**
     * 查询推荐商品列表
     *
     * @param suggestProd 推荐商品
     * @return 推荐商品集合
     */
    List<SuggestProd> selectSuggestProdList(SuggestProd suggestProd);

    /**
     * 新增推荐商品
     *
     * @param suggestProd 推荐商品
     * @return 结果
     */
    int insertSuggestProd(SuggestProd suggestProd);

    /**
     * 批量新增推荐商品
     *
     * @param suggestProdList 推荐商品
     * @return 结果
     */
    int batchInsertSuggestProd(List<SuggestProd> suggestProdList);

    /**
     * 修改推荐商品
     *
     * @param suggestProd 推荐商品
     * @return 结果
     */
    int updateSuggestProd(SuggestProd suggestProd);

    /**
     * 删除推荐商品
     *
     * @param id 推荐商品主键
     * @return 结果
     */
    int deleteSuggestProdById(Long id);

    /**
     * 批量删除推荐商品
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSuggestProdByIds(String[] ids);


    /**
     * 逻辑删除推荐商品
     *
     * @param id 推荐商品主键
     * @return 结果
     */
    int logicDeleteSuggestProdById(Long id);

    /**
     * 逻辑批量删除推荐商品
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int logicDeleteSuggestProdByIds(String[] ids);

    /**
     * 逻辑批量删除推荐商品
     *
     * @param suggestProd 推荐商品
     * @return 结果
     */
    int logicDeleteSuggestProdByCondition(SuggestProd suggestProd);

}
